Skip to content

DDoS Alert.

GET
/api/infraprotect/namespaces/{namespace}/infraprotect/alert/{alert_id}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/alert/example \
--header 'Authorization: <Authorization>'

RPC to GET details of an alert.

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

alert_id
required
string

Alert ID ID of the alert we want to GET details for.

A successful response.

Media typeapplication/json
Alert response

Response to the single alert request.

object
ports
Ports

List of ports involved in the alert.

Array<object>
Alert port

Single occurrence of a port in an alert.

object
bytes
Bytes

Bytes received on the port.

string format: int64
<= 1024 characters
destination
Destination

Destination flag - if rue then the port field is the destination of the alert.

boolean format: boolean
name
Name

Logical name of the port.

string
>= 6 characters <= 1024 characters
number
Port number

Port number involved in the alert.

integer format: int32
packets
packets

Packets received on the port.

string format: int64
<= 1024 characters
protocol
Protocol

Protocol used on the port.

string
<= 1024 characters
prefixes
Prefixes

List of prefixes involved in the alert.

Array<object>
Alert prefix

Single occurrence of a prefix in an alert.

object
cidr
Cidr

CIDR of the alert source.

string
<= 1024 characters
destination
Destination

Destination flag - if rue then the CIDR field is the destination of the alert.

boolean format: boolean
num_bytes
Bytes

Bytes received on the CIDR.

string format: int64
<= 1024 characters
num_packets
Packets

Packets received on the CIDR.

string format: int64
<= 1024 characters
misuse_types
Misuse Types

List of misuse types involved in the alert.

Array<object>
Alert detail misuse type

Single occurrence of a misuse type in an alert.

object
bytes
Bytes

Bytes per second for this misuse type.

string format: int64
<= 1024 characters
packets
Packets

Packets per second for this misuse type.

string format: int64
<= 1024 characters
type
Type

Type name of the misuse type.

string
<= 1024 characters
tcp_flags
TCP Flags

TCP flags information for the alert.

Array<object>
TCP Flag

Single TCP flag information for an alert.

object
bytes
Bytes

Bytes received for this TCP flag combination.

string format: int64
<= 1024 characters
flags
Flags

TCP flags combination for this alert entry.

Array<string>
Allowed values: ALERT_TCP_FLAG_FIN ALERT_TCP_FLAG_SYN ALERT_TCP_FLAG_RST ALERT_TCP_FLAG_PSH ALERT_TCP_FLAG_ACK ALERT_TCP_FLAG_URG ALERT_TCP_FLAG_ECE ALERT_TCP_FLAG_CWR
packets
Packets

Packets received for this TCP flag combination.

string format: int64
<= 1024 characters
Example
{
"tcp_flags": [
{
"flags": [
"ALERT_TCP_FLAG_FIN"
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example